# Uses of Class
jspecview.common.ColorParameters

Packages that use ColorParameters
Package
Description
jspecview.application
jspecview.common
jspecview.java
jspecview.js2d

## Uses of ColorParameters in jspecview.application

Methods in jspecview.application that return ColorParameters
Modifier and Type
Method
Description
`ColorParameters`
DisplaySchemesProcessor.`getDefaultScheme()`
`ColorParameters`
PreferencesDialog.`getSelectedDisplayScheme()`
Retruns the current Display Scheme
`ColorParameters`
DisplaySchemesProcessor.`loadDefault()`
Load a default DisplayScheme if xml file not found
Methods in jspecview.application that return types with arguments of type ColorParameters
Modifier and Type
Method
Description
`TreeMap<String, ColorParameters>`
DisplaySchemesProcessor.`getDisplaySchemes()`
Returns the list of `DisplayScheme`s that were loaded

## Uses of ColorParameters in jspecview.common

Fields in jspecview.common declared as ColorParameters
Modifier and Type
Field
Description
`ColorParameters`
JSViewer.`parameters`
Methods in jspecview.common that return ColorParameters
Modifier and Type
Method
Description
`ColorParameters`
ColorParameters.`copy()`
Returns a copy of this `DisplayScheme`
`abstract ColorParameters`
ColorParameters.`copy(String newName)`
Returns a copy of this `DisplayScheme` with a new name
`ColorParameters`
ColorParameters.`setElementColors(ColorParameters p)`
Methods in jspecview.common with parameters of type ColorParameters
Modifier and Type
Method
Description
`void`
PanelData.`setColorOrFont(ColorParameters params, ScriptToken st)`
`ColorParameters`
ColorParameters.`setElementColors(ColorParameters p)`
`void`
ColorParameters.`setFor(JSVPanel jsvp, ColorParameters ds, boolean includeMeasures)`

## Uses of ColorParameters in jspecview.java

Subclasses of ColorParameters in jspecview.java
Modifier and Type
Class
Description
`class`
`AwtParameters`
Methods in jspecview.java that return ColorParameters
Modifier and Type
Method
Description
`ColorParameters`
AwtParameters.`copy(String newName)`
Methods in jspecview.java with parameters of type ColorParameters
Modifier and Type
Method
Description
`void`
AwtPanel.`setColorOrFont(ColorParameters ds, ScriptToken st)`

## Uses of ColorParameters in jspecview.js2d

Subclasses of ColorParameters in jspecview.js2d
Modifier and Type
Class
Description
`class`
`JsParameters`
Methods in jspecview.js2d that return ColorParameters
Modifier and Type
Method
Description
`ColorParameters`
JsParameters.`copy(String newName)`
Methods in jspecview.js2d with parameters of type ColorParameters
Modifier and Type
Method
Description
`void`
JsPanel.`setColorOrFont(ColorParameters ds, ScriptToken st)`